{
Client Access Objects 1.5

System List Dialog.

(c) 1998, 1999 Steven P. Goldsmith
All Rights Reserved

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 1, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

sgoldsmith@home.com
http://members.home.net/sgoldsmith/
}

unit caoSystemListDlg;

interface

uses
  Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, OleCtrls,

  // Import ActiveX control "Client Access Control Library" before installing.

  CwbctrlLib_TLB;

type
  TSystemListDlg = class(TForm)
    Button1: TButton;
    cwbSystemListBox: TcwbSystemListBox;
    procedure cwbSystemListBoxDblClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

{
Double click on system name is the same as selecting system name and clicking
OK.
}

procedure TSystemListDlg.cwbSystemListBoxDblClick(Sender: TObject);
begin
  ModalResult := mrOK
end;

{
Select first system in list if any present.
}

procedure TSystemListDlg.FormShow(Sender: TObject);
begin
  if cwbSystemListBox.ControlInterface.NumberOfItems > 0 then
    cwbSystemListBox.SelectItem(0,true)
end;

end.
